Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/postgis: new aport

From: Bjoern Schilberg <bjoern.schilberg_at_intevation.de>
Date: Wed, 7 Sep 2016 23:15:20 +0200

http://postgis.net/
PostGIS is a spatial database extender for PostgreSQL object-relational database.
---
 testing/postgis/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/postgis/APKBUILD
diff --git a/testing/postgis/APKBUILD b/testing/postgis/APKBUILD
new file mode 100644
index 0000000..29c02d3
--- /dev/null
+++ b/testing/postgis/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Bjoern Schilberg <bjoern_at_intevation.de>
+# Maintainer: Bjoern Schilberg <bjoern_at_intevation.de>
+pkgname=postgis
+pkgver=2.2.2
+pkgrel=1
+pkgdesc="PostGIS is a spatial database extender for PostgreSQL object-relational database."
+url="http://postgis.net"
+arch="x86_64"
+license="GPL2"
+depends="postgresql geos gdal proj4 perl"
+depends_dev="postgresql-dev geos-dev gdal-dev libxml2-dev proj4-dev perl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.osgeo.org/postgis/source/$pkgname-$pkgver.tar.gz"
+
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+        cd "$builddir"
+        ./configure --prefix=/usr || return 1
+        make -j1 || return 1
+}
+
+package() {
+        cd "$builddir"
+        make DESTDIR="$pkgdir" install || return 1
+        chmod -x "$pkgdir"/usr/include/*.h
+}
+
+md5sums="ed42ad50405520bc1210bd4d3a872617  postgis-2.2.2.tar.gz"
+sha256sums="40232391f8f66a6dc740ebb26088e568c8ccb663666998616c71c3bdaeed4163  postgis-2.2.2.tar.gz"
+sha512sums="c5ad97abe52b7ec67e52a06e05e694099eaf2daacb7dc73c85dce71a61c269c755ec401f1077a1760cfb930ccd42fb1d34ebfb79990f52f5bc3aafa9db2e9ce4  postgis-2.2.2.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Sep 07 2016 - 23:15:20 GMT